Oracle Linux 8:openssl (ELSA-2021-5226 )

high Nessus プラグイン ID 156244

概要

リモートのOracle Linuxホストにセキュリティ更新プログラムがありません。

説明

リモートの Oracle Linux 8 ホストに、ELSA-2021-5226 アドバイザリに記載されている脆弱性の影響を受けるパッケージがインストールされています。

- ASN.1 文字列は OpenSSL 内部で ASN1_STRING 構造として表されます。この構造には、文字列データを保持するバッファと、バッファ長を保持するフィールドが含まれます。通常の C 文字列とは対照的です。C 文字列は、NUL (0) バイトで終了する文字列データではバッファとして表されます。厳密に必須ではないものの、OpenSSL 独自の d2i 関数 (および類似の解析関数) を使用して解析される ASN.1 文字列、および ASN1_STRING_set() 関数を使用して設定される値が含まれる文字列は、 ASN1_STRING 構造のバイト配列を NUL 終端させることにもなります。ただし、ASN1_STRING 配列でデータと長さのフィールドを直接設定することにより、アプリケーションがバイト配列を NUL 終端させることのない、有効な ASN1_STRING 構造を直接的に構成することができます。これは、ASN1_STRING_set0() 関数を使用する場合にも生じる可能性があります。ASN.1 データを出力する多くの OpenSSL 関数で、直接構成されたこと文字列であることが保証されていない場合でも、ASN1_STRING バイト配列が NUL 終端されることが分かっています。アプリケーションによって ASN.1 構造の出力がリクエストされる場合、ASN.1 構造に、データフィールが NUL 終端することなくアプリケーションによって直接構成された ASN1_STRING が含まれていると、読み取りバッファのオーバーランが生じる可能性があります。同様の状況が証明書の名前制限の処理中にも生じることがあります (例えば、OpenSSL 解析関数によってロードされるのではなく、アプリケーションによって直接構成された証明書がある場合、その証明書に NUL 終端されていない ASN1_STRING 構造が含まれているときなどです)。また、X509_get1_email() 関数、X509_REQ_get1_email() 関数、および X509_get1_ocsp() 関数でも生じる可能性があります。悪意のあるアクターがアプリケーションで ASN1_STRING を直接構成させ、影響のあるいずれかの OpenSSL 関数で処理すると、この問題が引き起こされることがあります。結果としてクラッシュする可能性があります (サービス拒否攻撃が生じます)。
また、専用メモリのコンテンツ (秘密鍵、秘密情報を含む平文など) が漏洩することがあります。OpenSSL 1.1.1l で修正されました (1.1.1-1.1.1k が影響を受けます)。OpenSSL 1.0.2zaで修正されました(Affected 1.0.2-1.0.2yが影響を受けます)。(CVE-2021-3712)

Nessus はこの問題をテストしておらず、代わりにアプリケーションが自己報告するバージョン番号にのみ頼っています。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

https://linux.oracle.com/errata/ELSA-2021-5226.html

プラグインの詳細

深刻度: High

ID: 156244

ファイル名: oraclelinux_ELSA-2021-5226.nasl

バージョン: 1.3

タイプ: local

エージェント: unix

公開日: 2021/12/21

更新日: 2021/12/30

サポートされているセンサー: Frictionless Assessment Agent, Nessus Agent

リスク情報

CVSS スコアのソース: CVE-2021-3712

VPR

リスクファクター: Medium

スコア: 6.7

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS v3

リスクファクター: High

Base Score: 7.4

Temporal Score: 6.4

ベクトル: CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:H

現状ベクトル: E:U/RL:O/RC:C

脆弱性情報

CPE: cpe:/o:oracle:linux:8, p-cpe:/a:oracle:linux:openssl, p-cpe:/a:oracle:linux:openssl-devel, p-cpe:/a:oracle:linux:openssl-libs, p-cpe:/a:oracle:linux:openssl-perl

必要な KB アイテム: Host/OracleLinux, Host/RedHat/release, Host/RedHat/rpm-list, Host/local_checks_enabled

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2021/12/22

脆弱性公開日: 2021/2/16

参照情報

CVE: CVE-2021-3712

IAVA: 2021-A-0395-S, 2021-A-0487